Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.ui.mouse.gestures.wheelscroll
Class WheelScrollDownEvent

    java.lang.Object
      com.google.gwt.event.shared.GwtEvent<H>
          com.maryanovsky.gwtutils.client.event.SyntheticEvent<H,E>
              com.maryanovsky.gwtutils.client.ui.mouse.gestures.SyntheticMouseGestureEvent<WheelScrollDownHandler,MouseWheelEvent>
                  com.maryanovsky.gwtutils.client.ui.mouse.gestures.wheelscroll.WheelScrollDownEvent

    public class WheelScrollDownEvent

extends SyntheticMouseGestureEvent<WheelScrollDownHandler,MouseWheelEvent>

Represents a mouse wheel scroll-down event.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`WheelScrollDownEvent(MouseWheelEvent evt, PointView location)` Creates a new `WheelScrollDownEvent` from the source `MouseWheelEvent` and location of the mouse.

Method Summary
`protected void` | `dispatch(WheelScrollDownHandler handler)` Dispatches the event to the handler.
`GwtEvent.Type<WheelScrollDownHandler>` | `getAssociatedType()` Returns the event type associated with mouse wheel scroll-down events.
`PointView` | `getLocation()` Returns the location of the mouse, in the target element's coordinate system.
`static GwtEvent.Type<WheelScrollDownHandler>` | `getType()` Returns the event type associated with mouse wheel scroll-down events.

Methods inherited from class com.maryanovsky.gwtutils.client.event.SyntheticEvent
`getSourceEvent`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WheelScrollDownEvent

    public WheelScrollDownEvent(MouseWheelEvent evt,
                                PointView location)

  Creates a new `WheelScrollDownEvent` from the source `MouseWheelEvent` and location of the mouse.

  Parameters:
    `evt` - The `MouseWheelEvent` that triggered this event.
    `location` - The location of the mouse, in the target element's coordinate system.

Method Detail

### getLocation

    public PointView getLocation()

  Returns the location of the mouse, in the target element's coordinate system.

### getType

    public static GwtEvent.Type<WheelScrollDownHandler> getType()

  Returns the event type associated with mouse wheel scroll-down events.

### getAssociatedType

    public GwtEvent.Type<WheelScrollDownHandler> getAssociatedType()

  Returns the event type associated with mouse wheel scroll-down events.

  Specified by:
    `getAssociatedType` in class `GwtEvent<WheelScrollDownHandler>`

### dispatch

    protected void dispatch(WheelScrollDownHandler handler)

  Dispatches the event to the handler.

  Specified by:
    `dispatch` in class `GwtEvent<WheelScrollDownHandler>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD